package ub.scp2.bo;

import java.util.List;
import ub.scp2.entities.FileSubmission;
import ub.scp2.entities.Submission;

public interface FileSubmissionBo {
    
	//Persistence methods
	public List<FileSubmission> getFileSubmissions();
	public void saveFileSubmission(FileSubmission fileSubmission);
	public void deleteFileSubmission(FileSubmission fileSubmission);
	public void updateFileSubmission(FileSubmission fileSubmission);

        public void deleteSubmissionsByUser(Submission subm);
}
